LinuxQuestions.org
Latest LQ Deal: Complete CCNA, CCNP & Red Hat Certification Training Bundle
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 11-11-2005, 01:34 AM   #1
ghostmac
LQ Newbie
 
Registered: Oct 2005
Posts: 15

Rep: Reputation: 0
glib and xmms plugin


First off, I apoilige if this has been covered before as I searched and didn't find anything close to my issue.
I am runnig FC4 on a P4 and have just got done installing many libs and new progs. One being xmms. I downloaded a plugin for xmms. It is an alarm plugin and when I try to do the ./configure, I receieve a message;

checking for GLIB - version >= 1.2.6... no
*** The glib-config script installed by GLIB could not be found
*** If GLIB was installed in PREFIX, make sure PREFIX/bin is in
*** your path, or set the GLIB_CONFIG environment variable to the
*** full path to glib-config.
configure: error:
*** GLIB >= 1.2.6 not installed - please install GLIB first ***

Now I am sure that I have installed glib. I have searched my whole filesystem for glib and the following are the results.

/home/carl/xine-ui-0.99.4/m4/glibc21.m4
/usr/lib/libpoppler-glib.so
/usr/lib/libpoppler-glib.so.0
/usr/lib/libglibmm_generate_extra_defs-2.4.so.1
/usr/lib/openoffice.org2.0/share/basic/ScriptBindingLibrary
/usr/lib/libpoppler-glib.so.0.0.0
/usr/lib/mozilla-1.7.12/components/imglib2.xpt
/usr/lib/mozilla-1.7.12/components/libimglib2.so
/usr/lib/libglibmm-2.4.so.1.0.13
/usr/lib/libdbus-glib-1.so.1
/usr/lib/libglib-1.2.so.0
/usr/lib/libglib-2.0.so.0
/usr/lib/libglib-2.0.so.0.600.6
/usr/lib/libglibmm_generate_extra_defs-2.4.so.1.0.13
/usr/lib/libglib-1.2.so.0.0.10
/usr/lib/firefox-1.0.7/components/imglib2.xpt
/usr/lib/firefox-1.0.7/components/libimglib2.so
/usr/lib/libglibmm-2.4.so.1
/usr/lib/libdbus-glib-1.so.1.0.0
/usr/local/bin/glib-genmarshal
/usr/local/bin/glib-mkenums
/usr/local/bin/glib-gettextize
/usr/local/include/glib-2.0
/usr/local/include/glib-2.0/glib
/usr/local/include/glib-2.0/glib.h
/usr/local/include/glib-2.0/glib-object.h
/usr/local/lib/libglib-2.0.so
/usr/local/lib/pkgconfig/glib-2.0.pc
/usr/local/lib/libglib-2.0.so.0
/usr/local/lib/libglib-2.0.la
/usr/local/lib/glib-2.0
/usr/local/lib/glib-2.0/include/glibconfig.h
/usr/local/lib/libglib-2.0.so.0.800.0
/usr/local/share/gtk-doc/html/gobject/glib-genmarshal.html
/usr/local/share/gtk-doc/html/gobject/glib-mkenums.html
/usr/local/share/gtk-doc/html/glib
/usr/local/share/gtk-doc/html/glib/glib-Atomic-Operations.html
/usr/local/share/gtk-doc/html/glib/glib-Threads.html
/usr/local/share/gtk-doc/html/glib/glib-File-Utilities.html
/usr/local/share/gtk-doc/html/glib/glib-core.html
/usr/local/share/gtk-doc/html/glib/glib-Doubly-Linked-Lists.html
/usr/local/share/gtk-doc/html/glib/glib-Datasets.html
/usr/local/share/gtk-doc/html/glib/glib-Error-Reporting.html
/usr/local/share/gtk-doc/html/glib/glib-Dynamic-Loading-of-Modules.html
/usr/local/share/gtk-doc/html/glib/glib-Arrays.html
/usr/local/share/gtk-doc/html/glib/glib-The-Main-Event-Loop.html
/usr/local/share/gtk-doc/html/glib/glib-N-ary-Trees.html
/usr/local/share/gtk-doc/html/glib/glib-Memory-Chunks.html
/usr/local/share/gtk-doc/html/glib/glib-Date-and-Time-Functions.html
/usr/local/share/gtk-doc/html/glib/glib-Asynchronous-Queues.html
/usr/local/share/gtk-doc/html/glib/glib-Character-Set-Conversion.html
/usr/local/share/gtk-doc/html/glib/glib-String-Utility-Functions.html
/usr/local/share/gtk-doc/html/glib/glib-Random-Numbers.html
/usr/local/share/gtk-doc/html/glib/glib-Simple-XML-Subset-Parser.html
/usr/local/share/gtk-doc/html/glib/glib-utilities.html
/usr/local/share/gtk-doc/html/glib/glib-Balanced-Binary-Trees.html
/usr/local/share/gtk-doc/html/glib/glib-Warnings-and-Assertions.html
/usr/local/share/gtk-doc/html/glib/glib-Caches.html
/usr/local/share/gtk-doc/html/glib/glib-Keyed-Data-Lists.html
/usr/local/share/gtk-doc/html/glib/glib-Thread-Pools.html
/usr/local/share/gtk-doc/html/glib/glib-compiling.html
/usr/local/share/gtk-doc/html/glib/glib-Timers.html
/usr/local/share/gtk-doc/html/glib/glib-resources.html
/usr/local/share/gtk-doc/html/glib/glib-Standard-Macros.html
/usr/local/share/gtk-doc/html/glib/glib.html
/usr/local/share/gtk-doc/html/glib/glib-Basic-Types.html
/usr/local/share/gtk-doc/html/glib/glib-gettextize.html
/usr/local/share/gtk-doc/html/glib/glib.devhelp
/usr/local/share/gtk-doc/html/glib/glib-Lexical-Scanner.html
/usr/local/share/gtk-doc/html/glib/glib-cross-compiling.html
/usr/local/share/gtk-doc/html/glib/glib-Double-ended-Queues.html
/usr/local/share/gtk-doc/html/glib/glib-Strings.html
/usr/local/share/gtk-doc/html/glib/glib-data-types.html
/usr/local/share/gtk-doc/html/glib/glib-Byte-Order-Macros.html
/usr/local/share/gtk-doc/html/glib/glib-Memory-Allocators.html
/usr/local/share/gtk-doc/html/glib/glib-Version-Information.html
/usr/local/share/gtk-doc/html/glib/glib-Miscellaneous-Utility-Functions.html
/usr/local/share/gtk-doc/html/glib/glib-Limits-of-Basic-Types.html
/usr/local/share/gtk-doc/html/glib/glib-IO-Channels.html
/usr/local/share/gtk-doc/html/glib/glib-Windows-Compatability-Functions.html
/usr/local/share/gtk-doc/html/glib/glib-Pointer-Arrays.html
/usr/local/share/gtk-doc/html/glib/glib-Spawning-Processes.html
/usr/local/share/gtk-doc/html/glib/glib-Message-Logging.html
/usr/local/share/gtk-doc/html/glib/glib-Type-Conversion-Macros.html
/usr/local/share/gtk-doc/html/glib/glib-Automatic-String-Completion.html
/usr/local/share/gtk-doc/html/glib/glib-Singly-Linked-Lists.html
/usr/local/share/gtk-doc/html/glib/glib-fundamentals.html
/usr/local/share/gtk-doc/html/glib/glib-Quarks.html
/usr/local/share/gtk-doc/html/glib/glib-String-Chunks.html
/usr/local/share/gtk-doc/html/glib/glib-Hash-Tables.html
/usr/local/share/gtk-doc/html/glib/glib-Shell-related-Utilities.html
/usr/local/share/gtk-doc/html/glib/glib-changes.html
/usr/local/share/gtk-doc/html/glib/glib-Glob-style-pattern-matching.html
/usr/local/share/gtk-doc/html/glib/glib-Numerical-Definitions.html
/usr/local/share/gtk-doc/html/glib/glib-Hook-Functions.html
/usr/local/share/gtk-doc/html/glib/glib-running.html
/usr/local/share/gtk-doc/html/glib/glib-Key-value-file-parser.html
/usr/local/share/gtk-doc/html/glib/glib-Miscellaneous-Macros.html
/usr/local/share/gtk-doc/html/glib/glib-Memory-Allocation.html
/usr/local/share/gtk-doc/html/glib/glib-Byte-Arrays.html
/usr/local/share/gtk-doc/html/glib/glib-building.html
/usr/local/share/gtk-doc/html/glib/glib-Relations-and-Tuples.html
/usr/local/share/gtk-doc/html/glib/glib-Commandline-option-parser.html
/usr/local/share/gtk-doc/html/glib/glib-Unicode-Manipulation.html
/usr/local/share/gtk-doc/html/glib/glib-Trash-Stacks.html
/usr/local/share/gtk-doc/html/glib/glib-I18N.html
/usr/local/share/aclocal/glib-gettext.m4
/usr/local/share/aclocal/glib-2.0.m4
/usr/local/share/glib-2.0
/usr/local/man/man1/glib-gettextize.1
/usr/local/man/man1/glib-mkenums.1
/usr/local/man/man1/glib-genmarshal.1
/usr/sbin/glibc_post_upgrade.i686
/usr/share/doc/glibmm24-2.6.1
/usr/share/doc/glib2-2.6.6
/usr/share/doc/glib-1.2.10
/usr/share/doc/glibc-2.3.5
/usr/share/doc/glibc-common-2.3.5
/etc/profile.d/glib2.csh
/etc/profile.d/glib2.sh
/var/cache/yum/base/packages/glibc-kernheaders-2.4-9.1.94.i386.rpm
/var/cache/yum/base/headers/glibc-kernheaders-2.4-9.1.94.i386.hdr
/var/cache/yum/extras/packages/glibmm24-2.6.1-1.i386.rpm
/var/cache/yum/extras/headers/glibmm24-2.6.1-1.i386.hdr
/var/cache/yum/updates-released/packages/glib2-2.6.6-1.i386.rpm
/var/cache/yum/updates-released/packages/glibc-common-2.3.5-10.3.i386.rpm
/var/cache/yum/updates-released/packages/glibc-headers-2.3.5-10.3.i386.rpm
/var/cache/yum/updates-released/packages/glibc-2.3.5-10.3.i686.rpm
/var/cache/yum/updates-released/packages/glibc-devel-2.3.5-10.3.i386.rpm
/var/cache/yum/updates-released/packages/dbus-glib-0.33-3.fc4.1.i386.rpm
/var/cache/yum/updates-released/headers/dbus-glib-0.33-3.fc4.1.i386.hdr
/var/cache/yum/updates-released/headers/glibc-common-2.3.5-10.3.i386.hdr
/var/cache/yum/updates-released/headers/glibc-2.3.5-10.3.i686.hdr
/var/cache/yum/updates-released/headers/glibc-devel-2.3.5-10.3.i386.hdr
/var/cache/yum/updates-released/headers/glibc-headers-2.3.5-10.3.i386.hdr
/var/cache/yum/updates-released/headers/glib2-2.6.6-1.i386.hdr

Now, here is my .bash_profile SOURCES

PATH=$PATH:$HOME/bin:/sbin
/usr/lib
/usr/local/lib
/usr/local/share
/usr/share
/home/carl
/home/carl/bin
So why am I recieving the error messages when I run the ./configure ??
 
Old 11-12-2005, 04:00 PM   #2
Dark_Helmet
Senior Member
 
Registered: Jan 2003
Posts: 2,786

Rep: Reputation: 370Reputation: 370Reputation: 370Reputation: 370
The error is because glib-1.2.X and glib 2.0.X are not compatible libraries. That means, even though 2.0 is >= 1.2.6 from a straight version comparison, it doesn't matter because the glib library was re-tooled for the 2.0 series. The way applications interact with the 2.0.X library is fundamentally different from the way applications interact with 1.2.X.

Your system seems to have the glib-2.0.X development package/header files installed, but the program your compiling needs the glib-1.2.X development package. You'll need to install the glib-1.2.X development package for the compilation to work.

I don't know how each distribution refers to those development packages. Maybe someone will pipe up and give that information, or you could do a search online based on your distro to find out the naming scheme.
 
Old 11-12-2005, 06:07 PM   #3
ghostmac
LQ Newbie
 
Registered: Oct 2005
Posts: 15

Original Poster
Rep: Reputation: 0
glib and xmms plugin

Thanks a bunch Dark. I installed the earlier version and it works now. Much appreciated.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
xmms install (needs glib>1.22), just installed glib 2.4.8 and still get error message eskiled Linux - Software 2 12-19-2005 10:12 PM
xmms and glib lazylinepainter Linux - Software 1 01-16-2005 08:32 PM
glib and xmms cryptowicked Linux - Software 9 12-21-2004 03:08 PM
XMMS and GLIB binny959 Linux - Software 2 08-25-2004 11:00 PM
Xmms Plugin 1.2.8 [xmms-config problem] MDMA Mandriva 2 01-29-2004 10:55 AM


All times are GMT -5. The time now is 10:44 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration